Skip to main content
PUT
/
api
/
deals
/
{deal_id}
/
people
Set deal people
curl --request PUT \
  --url https://api.morphic.io/api/deals/{deal_id}/people \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
[
  "3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "role": "<string>",
    "is_primary": false,
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

X-API-Key
string
header
required

API key (sk_xxx) from Developer Settings. No X-Account-ID needed.

Headers

x-account-id
string | null

Path Parameters

deal_id
string<uuid>
required

Body

application/json

Response

Successful Response

id
string<uuid>
required
deal_id
string<uuid>
required
person_id
string<uuid>
required
created_at
string<date-time>
required
role
string | null
is_primary
boolean
default:false
created_by
string<uuid> | null